package org.timconrad.vmstats;
/*
* Copyright 2012 Tim Conrad - tim@timconrad.org
*
*    Licensed under the Apache License, Version 2.0 (the "License");
*    you may not use this file except in compliance with the License.
*    You may obtain a copy of the License at
*
*        http://www.apache.org/licenses/LICENSE-2.0
*
*    Unless required by applicable law or agreed to in writing, software
*    distributed under the License is distributed on an "AS IS" BASIS,
*    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
*    See the License for the specific language governing permissions and
*    limitations under the License.
*/

import org.jboss.netty.channel.*;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class NettyTCPWriterHandler extends SimpleChannelUpstreamHandler {
    private static final Logger logger = LoggerFactory.getLogger(NettyTCPWriterHandler.class);

    @Override
    public void handleUpstream (ChannelHandlerContext ctx, ChannelEvent e) throws Exception {
        if(e instanceof ChannelStateEvent) {
            logger.info("handleUpstream" + e.toString());
        }
    }

    @Override
    public void messageReceived(ChannelHandlerContext ctx, MessageEvent e) {
        // this should never happen don't know if i need this.
        logger.info("messageRecieved" + e.getMessage().toString());
    }

    @Override
    public void exceptionCaught(ChannelHandlerContext ctx, ExceptionEvent e) {
        logger.info("unexpected exception from downstream " + e.getCause());
        e.getChannel().close();
    }

}
